package gov.va.med.esr.ui.ee.action;

import java.util.Date;

import gov.va.med.fw.ui.struts.AbstractForm;

public class VOAAttahmentEditActionForm extends AbstractForm{

    /**
     * 
     */
    private static final long serialVersionUID = -7619827342167846219L;
    /**
     * 
     */
    
    private String parentKey;
    private String voaAttachmentFileName;
    private String voaAttachmentFileType;
    private String voaAttachmentDocType;
    private String voaAttachmentDocTypeCode;
    private String voaAttachmentAccept;
    private String voaAccept;
    private Date voaAttachmentUpdated;
    private String voaAttachmentUpdatedBy;
    private byte voaAttachmentFileBuffer[];
    private boolean parent;
    private String displayFileType;
    private String contentType;
   
    public String getVoaAttachmentAccept() {
        return voaAttachmentAccept;
    }
    public void setVoaAttachmentAccept(String voaAttachmentAccept) {
        this.voaAttachmentAccept = voaAttachmentAccept;
    }

    public String getVoaAttachmentDocType() {
        return voaAttachmentDocType;
    }
    public void setVoaAttachmentDocType(String voaAttachmentDocType) {
        this.voaAttachmentDocType = voaAttachmentDocType;
    }
    public String getVoaAttachmentFileName() {
        return voaAttachmentFileName;
    }
    public void setVoaAttachmentFileName(String voaAttachmentFileName) {
        this.voaAttachmentFileName = voaAttachmentFileName;
    }
    public String getVoaAttachmentFileType() {
        return voaAttachmentFileType;
    }
    public void setVoaAttachmentFileType(String voaAttachmentFileType) {
        this.voaAttachmentFileType = voaAttachmentFileType;
    }
    public Date getVoaAttachmentUpdated() {
        return voaAttachmentUpdated;
    }
    public void setVoaAttachmentUpdated(Date voaAttachmentUpdated) {
        this.voaAttachmentUpdated = voaAttachmentUpdated;
    }
    public String getVoaAttachmentUpdatedBy() {
        return voaAttachmentUpdatedBy;
    }
    public void setVoaAttachmentUpdatedBy(String voaAttachmentUpdatedBy) {
        this.voaAttachmentUpdatedBy = voaAttachmentUpdatedBy;
    }
    public String getVoaAttachmentDocTypeCode() {
        return voaAttachmentDocTypeCode;
    }
    public void setVoaAttachmentDocTypeCode(String voaAttachmentDocTypeCode) {
        this.voaAttachmentDocTypeCode = voaAttachmentDocTypeCode;
    }
    public String getParentKey() {
        return parentKey;
    }
    public void setParentKey(String parentKey) {
        this.parentKey = parentKey;
    }
    public byte[] getVoaAttachmentFileBuffer() {
        return voaAttachmentFileBuffer;
    }
    public void setVoaAttachmentFileBuffer(byte[] voaAttachmentFileBuffer) {
        this.voaAttachmentFileBuffer = voaAttachmentFileBuffer;
    }
    
    public boolean isParent() {
        return parent;
    }
    public void setParent(boolean parent) {
        this.parent = parent;
    }
    public String getVoaAccept() {
        return voaAccept;
    }
    public void setVoaAccept(String voaAccept) {
        this.voaAccept = voaAccept;
    }
    public String getDisplayFileType() {
        return displayFileType;
    }
    public void setDisplayFileType(String displayFileType) {
        this.displayFileType = displayFileType;
    }
    public String getContentType() {
        return contentType;
    }
    public void setContentType(String contentType) {
        this.contentType = contentType;
    }
}